Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000302Core InformKinds and type checkingpublic2010-09-21 20:132010-10-28 00:30
Assigned Tojmcgrew 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000302: Changing printed name to an indexed text causes interpreter crash
DescriptionThis code causes interpreter crashes on execution. The built-in terp crashes with "Fatal error: Illegal encoding of a VARop (PC=#1fa9d); Gargoyle crashes with "Fatal error: call to non-routine."

Since it looks as if this could be related to a type-casting failure, possibly related to [^]
Minimal Source Text To Reproduce
Stage is a room.
To rename to (Y - some indexed text):
	now the printed name of location is Y.

When play begins:
	rename to "X";
	showme Stage.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
jmcgrew (administrator)
2010-09-22 00:39

Confirmed for Z-code on Windows. The Glulx version doesn't crash, but the printed name still doesn't appear correctly.
graham (administrator)
2010-09-22 15:45

Yes, the typechecking was insufficient here. It was checking sufficiently to make a test of equality safe, but not sufficiently to make an assertion of it safe. Fixed.

(It wasn't related to 0000186.)

- Issue History
Date Modified Username Field Change
2010-09-21 20:13 AaronReed New Issue
2010-09-22 00:39 jmcgrew Note Added: 0000577
2010-09-22 00:39 jmcgrew Assigned To => jmcgrew
2010-09-22 00:39 jmcgrew Status new => confirmed
2010-09-22 15:45 graham Note Added: 0000580
2010-09-22 15:45 graham Status confirmed => resolved
2010-09-22 15:45 graham Resolution open => fixed
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker